| GET | /RestApi/ab-testing/tests/count |
|---|
"use strict";
/** @typedef {'NotStarted'|'Scheduled'|'Active'|'Stopped'|'Ended'} */
export var ABTestStatus;
(function (ABTestStatus) {
ABTestStatus["NotStarted"] = "NotStarted"
ABTestStatus["Scheduled"] = "Scheduled"
ABTestStatus["Active"] = "Active"
ABTestStatus["Stopped"] = "Stopped"
ABTestStatus["Ended"] = "Ended"
})(ABTestStatus || (ABTestStatus = {}));
export class GetABTestsCount {
/** @param {{SearchText?:string,Status?:ABTestStatus,MyTests?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
SearchText;
/** @type {?ABTestStatus} */
Status;
/** @type {boolean} */
MyTests;
}
JavaScript GetABTestsCount DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/tests/count HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}
]